// **** BEGIN LICENSE BLOCK ****
//   Copyright(c) 2009 MATSUZAWA Jiro
//
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA
//   02110-1301, USA.  */
// **** END LICENSE BLOCK ****

var rencon;
if (!rencon) {
    rencon = {};
} else if (typeof rencon != "object") {
    throw new Error("");
}

rencon.BibRecordManager = function(
        record,     // bibriographic record
        outFlg      // flag of whether put out 
        )
{
    this.record = record;
    this.outFlg = (typeof outFlg == "boolean") ? outFlg : false;
}

rencon.BibRecordManager.prototype.setRecord = function(
        record
        )
{
    this.record = record;
    return;
}

rencon.BibRecordManager.prototype.getRecord = function()
{
    return this.record;
}


rencon.BibRecordManager.prototype.setOutFlg = function(
        outFlg
        )
{
    this.outFlg = (typeof outFlg == "boolean") ? outFlg : false;
    return;
}

rencon.BibRecordManager.prototype.getOutFlg = function()
{
    return this.outFlg;
}
